Package: org.codehaus.groovy.antlr

## [Java] Interface SourceInfo

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `column`
    `int` | `columnLast`
    `int` | `line`
    `int` | `lineLast`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getColumn()` get starting column
    `` | `int` | `getColumnLast()` get ending column
    `` | `int` | `getLine()` get start line
    `` | `int` | `getLineLast()` get ending line
    `` | `void` | `setColumn(int c)` set start column
    `` | `void` | `setColumnLast(int colLast)` set ending column
    `` | `void` | `setLine(int l)` set start line
    `` | `void` | `setLineLast(int lineLast)` set ending line

- - ### Property Detail

    - #### int column

    - #### int columnLast

    - #### int line

    - #### int lineLast

  - ### Method Detail

    - #### public int getColumn()

      get starting column

      Returns:
        the starting column

    - #### public int getColumnLast()

      get ending column

      Returns:
        the ending column

    - #### public int getLine()

      get start line

      Returns:
        the starting line

    - #### public int getLineLast()

      get ending line

      Returns:
        the ending line

    - #### public void setColumn(int c)

      set start column

      Parameters:
        `c` - the column

    - #### public void setColumnLast(int colLast)

      set ending column

      Parameters:
        `colLast` - the column

    - #### public void setLine(int l)

      set start line

      Parameters:
        `l` - the line

    - #### public void setLineLast(int lineLast)

      set ending line

      Parameters:
        `lineLast` - the line